
## ${functionName}

### 查询${functionName}列表

**请求URL:** ${RequestMapping}/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询${functionName}

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
<#list columns as column>
    <#if column.isQuery == 1>
${column.javaField}|${column.javaType}|${column.columnComment}|否|-
    </#if>
</#list>

**请求样例:**
```

  {
<#list columns as column>
    <#if column.isQuery == 1>
    <#if column.javaType=="String" ||column.javaType=="Date">
        <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
    <#else>
        <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
    </#if>
        "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
<#list columns as column>
&emsp;&emsp;${column.javaField}|${column.javaType}|${column.columnComment}|-
</#list>
dict|object|字典对象|-
<#list columns as column>
    <#if column.dict??&&(column.columnType?contains("tinyint") ||column.htmlType==3||column.htmlType==5)>
&emsp;${column.javaField}|object|字典属性对象，详见附录|-
    </#if>
</#list>


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑${functionName}

**请求URL:** ${RequestMapping}/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑${functionName}，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
${pkColumn.javaField}|${pkColumn.javaType}|主键,唯一|是|-

**请求样例:**
```

    http://localhost/${RequestMapping}/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
<#list columns as column>
&emsp;${column.javaField}|${column.javaType}|${column.columnComment}|-
</#list>
dict|object|字典对象|-
<#list columns as column>
    <#if column.dict??&&(column.columnType?contains("tinyint") ||column.htmlType==3||column.htmlType==5)>
&emsp;${column.javaField}|object|字典属性对象，详见附录|-
    </#if>
</#list>


**响应消息样例:**
```

{
    "code": 1,
    "data": {
<#list columns as column>
    <#if column.javaType=="String" ||column.javaType=="Date">
        <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
    <#else>
        <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
    </#if>
        "${column.javaField}":${fakeValue}<#sep>,</#sep>
</#list>
        }
}

```

### 查看${functionName}

**请求URL:** ${RequestMapping}/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看${functionName}，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
${pkColumn.javaField}|${pkColumn.javaType}|主键,唯一|是|-

**请求样例:**
```

    http://localhost/${RequestMapping}/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
<#list columns as column>
&emsp;${column.javaField}|${column.javaType}|${column.columnComment}|-
</#list>
dict|object|字典对象|-
<#list columns as column>
    <#if column.dict??&&(column.columnType?contains("tinyint") ||column.htmlType==3||column.htmlType==5)>
&emsp;${column.javaField}|object|字典属性对象，详见附录|-
    </#if>
</#list>


**响应消息样例:**
```
{
    "code": 1,
    "data": {
        <#list columns as column>
            <#if column.javaType=="String" ||column.javaType=="Date">
                <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
                <#else>
                <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
            </#if>
            "${column.javaField}":${fakeValue}<#sep>,</#sep>
        </#list>
        }
}
```

### 保存更新${functionName}

**请求URL:** ${RequestMapping}/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新${functionName}：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
<#list columns as column>
<#if !column.isSuperColumn(column.javaField)>
${column.javaField}|${column.javaType}|${column.columnComment}|是|-
</#if>
</#list>

**请求样例:**
```

{
<#list columns as column>
    <#if !column.isSuperColumn(column.javaField)>
        <#if column.javaType=="String" ||column.javaType=="Date">
            <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
            <#else>
            <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
        </#if>
    "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
<#list columns as column>
&emsp;&emsp;${column.javaField}|${column.javaType}|${column.columnComment}|-
</#list>

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除${functionName}

**请求URL:** ${RequestMapping}/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除${functionName}

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/${RequestMapping}/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```
<#if table.isGenExport==1 >

### 导入${functionName}模板下载

**请求URL:** ${RequestMapping}/downloadTemplate

**请求方式:** POST


**内容类型:** application/x-www-form-urlencoded;charset=utf-8

**简要描述:** ${functionName}导入模板下载

**请求样例:**
```

    http://localhost/${RequestMapping}/downloadTemplate

```

**Response-example:**
```
...

```

### 导入${functionName}

**请求URL:** ${RequestMapping}/importData

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 导入${functionName}

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**请求样例:**
```

    http://localhost/${RequestMapping}/importData --data 'updateSupport=true'

```

**Response-example:**
```
...

```
</#if>

### 导出${functionName}

**请求URL:** ${RequestMapping}/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出${functionName}

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
<#list columns as column>
    <#if column.isQuery == 1>
        ${column.javaField}|${column.javaType}|${column.columnComment}|否|参数查询条件
    </#if>
</#list>

**请求样例:**
```
{
    idList:[1,2],
<#list columns as column>
    <#if column.isQuery == 1>
        <#if column.javaType=="String" ||column.javaType=="Date">
            <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
        <#else>
            <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
        </#if>
        "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>

}


```

**Response-example:**
```
...

```

